Query Auth List

GET /v1/vcc/open/authData

request

ParameterTypeRequiredDescription
cardNumberstringNoThe cardNumber of your virtual credit card number.
startDatestringNostart time in the form of timestamp (accurate to MS, GMT + 8).
endDatestringNoend time in the form of timestamp (accurate to MS, GMT + 8).
startPagestringNocurrent page default is 1.
rowstringYesThe size of each page is 20 by default, the maximum is 100, and the minimum is 1. If it is out of range, it will be scored as 20.

response

ParameterTypeRequiredDescription
authorizationIdstringYesUnique identification of authorized transaction.
authorizationDatestringYesAuthorization date (format yyyy MM DD HH: mm).
cardNumberstringYesThe cardNumber of your virtual credit card number.
merchantNamestringYesMerchant name.
billingAmountstringYesbillingAmount.
billingCurrencystringYesbillingCurrency.
authorizationTypeStringYesAuthorized transaction type.
authorizationStatusStringYesAuthorized transaction status. Possible status APPROVEDDECLINED
failReasonStringNofailReason. Possible reason INVALID_CVC INVALID_EXPIRATION_DATEINSUFFICIENT_FUNDSEXPIRED_CARDREASON_UNKNOWN
[{
    "authorizationDate": "2020-05-30 18:40",
    "authorizationId": "xxxxxx",
    "cardNumber": "xxxxxx",
    "merchantName": "xxxxxxx",
    "billingAmount": "15.00",
    "billingCurrency": "USD",
    "authorizationType": "Auth",
    "authorizationStatus": "APPROVED",
    "failReason": ""
}]

query authorized transaction list